"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitReporterRepository = void 0;
var tsyringe_1 = require("tsyringe");
var command_1 = require("../command");
var path_1 = __importDefault(require("path"));
var GitReporterRepository = /** @class */ (function () {
    function GitReporterRepository(command) {
        this.command = command;
    }
    GitReporterRepository.prototype.readGitLog = function (projectPath, weeks) {
        var absolutePath = path_1.default.resolve(projectPath);
        return this.command.run("git -C " + absolutePath + " fetch && git -C " + absolutePath + " pull && git -C " + absolutePath + " log --after=\"" + weeks + " weeks ago\" --all");
    };
    GitReporterRepository = __decorate([
        tsyringe_1.injectable(),
        __param(0, tsyringe_1.inject(command_1.Command)),
        __metadata("design:paramtypes", [command_1.Command])
    ], GitReporterRepository);
    return GitReporterRepository;
}());
exports.GitReporterRepository = GitReporterRepository;
//# sourceMappingURL=gitReporter.repository.js.map